%define version	3.1.5
%define release	6mdk

Summary: A MOD music file player.
Name: mikmod
Version: %version
Release: %release
Copyright: LGPL
Group: Applications/Multimedia
URL: http://www.multimania.com/miodrag/mikmod/index.html
Prefix: /usr
Buildroot: /var/tmp/mikmod-%{PACKAGE_VERSION}

Source0: mikmod-%{PACKAGE_VERSION}.tar.bz2
Patch0: patch-mikmod-3.1.5-a.bz2
Patch1: patch-mikmod-3.1.5-b.bz2

Obsoletes: tracker
Requires: ncurses libmikmod

%description
MikMod is one of the best and most well known MOD music file players for 
UNIX-like systems.  This particular distribution is intended to compile
fairly painlessly in a Linux environment. MikMod uses the OSS /dev/dsp
driver including all recent kernels for output, and will also write .wav
files. Supported file formats include MOD, STM, S3M, MTM, XM, ULT, and IT.
The player uses ncurses for console output and supports transparent
loading from gzip/pkzip/zoo archives and the loading/saving of playlists.

Install the mikmod package if you need a MOD music file player.

%prep
%setup
%patch0 -p1 -b .orig
%patch1 -p1 -b .mikmod-b

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} 
make

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install
bzip2 -9f $RPM_BUILD_ROOT/usr/man/man1/*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README
%{prefix}/bin/*
%{prefix}/man/man1/*

%changelog
* Sat Jul 17 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed to work with shared libmikmod 3.1.6.

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Mar 22 1999 Cristian Gafton <gafton@redhat.com>
- fixed spec file description and group according to sepcspo

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- changed spec file, updated package
- added libmikmod to the package

* Mon Feb 15 1999 Miodrag Vallat <miodrag@multimania.com>
- Created for 3.1.5

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed group
- fixed bug #145

* Fri Sep 04 1998 Michael Maher <mike@redhat.com>
- added patch for alpha

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- built package; obsoletes the ancient tracker program.
